using System;

namespace _2021_2022___Kvalifikacije_1_A
{
    class Program
    {
        static void Main(string[] args)
        {

            if (s1 - s2 == 1)
            {
                Console.Write(c1);
                while (s1 - 1 != 0)
                {
                    Console.Write(c2);
                    Console.Write(c1);
                    s1--;
                }
            }
            else if (s1 - s2 == 0)
            {
                while (s1 != 0)
                {
                    Console.Write(c2);
                    Console.Write(c1);
                    s1--;
                }
            }
            else if (s1 - s2 == -1)
            {
                Console.Write(c2);
                while (s2 - 1 != 0)
                {
                    Console.Write(c1);
                    Console.Write(c2);
                    s2--;
                }
            }
            else
                Console.Write("nemoguce");
        }
    }
}